#include <bits/stdc++.h>

using namespace std;

int n, d, a[10006];
long long res;
bool b[1900000000];

bool if_ok_par(int k){
    bool f = false;
    for( int i = k; i >= 0 && 2*k - i < n; i --)
        if(b[i] == false && b[2*k-i] == false)
        f = true;
    return f;
}

bool if_ok_nepar(int k){
    bool f = false;
    for( int i = k; i >= 0 && 2*k - i + 1 < n; i --)
        if(b[i] == false && b[2*k-i+1] == false)
        f = true;
    return f;
}

int main()
{
    cin.tie(0);
    cout.tie(0);
    ios_base::sync_with_stdio(false);

    cin >> n >> d;
    for(int i = 0; i < d; i++){
        cin >> a[i];
        a[i]--;
        b[a[i]] = true;
    }
    res = 2*n - 1;
    for(int i = 0; i < d; i++){
       if( !if_ok_par(a[i]) )
        res--;
        if( a[i] < n-1)
       if( !if_ok_nepar(a[i]) )
        res--;
       if( a[i] > 0 && b[a[i] - 1] == false)
       if( !if_ok_nepar(a[i]-1) )
        res--;
    }
    cout << res;
    return 0;
}
